Skip to main content
GET
/
compute
/
script
List Edge Scripts
curl --request GET \
  --url https://api.bunny.net/compute/script \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/compute/script"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/compute/script', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "Items": [
    {
      "Id": 123,
      "Name": "<string>",
      "LastModified": "2023-11-07T05:31:56Z",
      "CurrentReleaseId": 123,
      "EdgeScriptVariables": [
        {
          "Id": 123,
          "Name": "<string>",
          "Required": true,
          "DefaultValue": "<string>"
        }
      ],
      "Deleted": true,
      "LinkedPullZones": [
        {
          "Id": 123,
          "PullZoneName": "<string>",
          "DefaultHostname": "<string>"
        }
      ],
      "Integration": {
        "IntegrationId": 123,
        "RepositorySettings": {
          "Id": 123,
          "Name": "<string>",
          "Private": true,
          "TemplateUrl": "<string>"
        },
        "DeployConfiguration": {
          "Branch": "<string>",
          "InstallCommand": "<string>",
          "BuildCommand": "<string>",
          "EntryFile": "<string>",
          "CreateWorkflow": true
        }
      },
      "DefaultHostname": "<string>",
      "SystemHostname": "<string>",
      "DeploymentKey": "<string>",
      "RepositoryId": 123,
      "IntegrationId": 123,
      "MonthlyCost": 123,
      "MonthlyRequestCount": 123,
      "MonthlyCpuTime": 123
    }
  ],
  "CurrentPage": 123,
  "TotalItems": 123,
  "HasMoreItems": true
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Query Parameters

type
enum<integer>[] | null

Filter by edge script type

0 = DNS 1 = CDN 2 = Middleware

Available options:
0,
1,
2
page
integer<int32>
default:1
Required range: 1 <= x <= 2147483647
perPage
integer<int32>
default:1000
Required range: 5 <= x <= 1000
search
string | null

The search term that will be used to filter the results

includeLinkedPullzones
boolean
default:false

Include linked pullzones

integrationId
integer<int64> | null

Filter by linked integration

Response

The list of scripts on the account.

Items
object[] | null
CurrentPage
integer<int32>
TotalItems
integer<int32>
HasMoreItems
boolean
Last modified on July 11, 2026